%global debug_package %{nil}

Summary:        Asynchronous programming library for GNU Guile
Name:           8sync
Version:        0.4.2
Release:        2%{?dist}
Source:         ftp://ftp.gnu.org/gnu/8sync/8sync-%{?version}.tar.gz
URL:            https://www.gnu.org/software/8sync
License:        LGPLv3+

BuildRequires:  guile22-devel
BuildRequires:  texinfo
BuildRequires:  make

%description
8sync (pronounced "eight-sync") is an asynchronous programming library for GNU Guile. Based on the actor model, it makes use of delimited continuations to avoid a mess of callbacks resulting in clean, easy to read non-blocking code.

8sync also aims to be batteries included.


%prep
%autosetup


%build

%configure GUILE_TOOLS='/usr/bin/guile-tools2.2' GUILE_CONFIG='/usr/bin/guile-config2.2' GUILD='/usr/bin/guild2.2' GUILE='/usr/bin/guile2.2'

make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir


%postun -p /sbin/ldconfig



%files
%doc INSTALL NEWS README
%license COPYING
%license COPYING-gplv3.txt
%{_libdir}/guile/2.2/ccache/8sync.go
%{_libdir}/guile/2.2/ccache/8sync
%{_datadir}/guile/site/2.2/8sync.scm
%{_datadir}/guile/site/2.2/8sync
%{_datadir}/info/

%changelog
* Tue Apr 11 2017 John Dulaney <jdulaney@Fedoraproject.org> - 0.4.2-
- Remove /usr/share/info/dir

* Tue Mar 21 2017 John Dulaney <jdulaney@Fedoraproject.org> - 0.4.2-1
- Initial packaging.
